# gmtdefaults

List current GMT default settings

## Synopsis

gmt defaults [ -D[s|u] ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

defaults lists all the GMT parameter defaults if the option -D is used. There are three ways to change some of the settings: (1) use the command gmtset, (2) use any text editor to edit the file gmt.conf in your home, ~/.gmt or current directory (if you do not have this file, run gmtdefaults -D > gmt.conf to get one with the system SI default settings), or (3) override any parameter by specifying one or more --PARAMETER=VALUE statements on the command line of any GMT command (PARAMETER and VALUE are any combination in gmt.conf). In modern mode, settings can be reset to GMT defaults using clear. Changes made using gmtset are permanent until explicitly changed back in classic mode and are in effect for the duration of the current session in modern mode. Manual changes to the gmt.conf file (option 2) are in effect until explicitly changed back, or can be ignored for a modern mode session using the -C argument of the begin module. Option 3 is ephemeral and only applies to the single GMT command that received the override. GMT can provide default values in US or SI units based on the choice determined at compile time.

## Required Arguments

None.

## Optional Arguments

-D[s|u]

  Print the system GMT defaults settings to standard output. Append u for US defaults or s for SI defaults. [-D alone gives the SI defaults; If -D is omitted, the user’s currently active defaults are printed.]

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

Your currently active defaults come from the gmt.conf file in the current working directory (in classic mode) or in your session directory (in modern mode), if present; else from the gmt.conf file in your home directory, if present; else from the file ~/.gmt/gmt.conf if present; else from the system defaults set at the time GMT was compiled.

## GMT PARAMETERS

Read the gmt.conf man page for a full list of the parameters that are user-definable in GMT.

## Examples

To get a copy of the GMT parameter SI defaults in your home directory, run:

    gmt defaults -D > ~/gmt.conf

You may now change the settings by editing this file using a text editor of your choice, or use gmtset to change specified parameters on the command line.

## Bugs

If you have typographical errors in your gmt.conf file(s), a warning message will be issued, and the GMT defaults for the affected parameters will be used.

## See Also

gmt, gmt.conf, gmtcolors, gmtget, gmtset